Subject: [PATCH v6 2/6] ARM: allow user access to arch timer virtual counter

From: [email-masked] (Will Deacon)
Date: Wed, 23 Apr 2014 18:32:45 +0100

On Wed, Apr 23, 2014 at 01:48:53AM +0100, Nathan Lynch wrote:
> As ARM64 does.  This is a necessary prerequisite for implementing
> gettimeofday and clock_gettime in a vdso.

Doesn't this change make arch_counter_set_user_access identical for arm and
arm64? In which case, we could move it into the driver itself.

Will